<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Ticket;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20250711131126 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add supplementaryComments property to Motive entity as JSONB type to store list of comments with label';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_ticket.motive ADD supplementaryComments JSONB DEFAULT \'[]\' NOT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_ticket.motive DROP supplementaryComments');
    }
}
